      program en302hindcast

      PARAMETER(NNDIM=2951,NEDIM=5649,NNVDIM=21,NLEVDIM=27,NFTRDIM=20,
     &          NBEDIM=251,NRDIM=NBEDIM,NBWE=201,NB1DIM=NBWE/2+1)

C                NNDIM   - Maximum number of horizontal nodes
C                NEDIM   - Maximum number of horizontal 2-D triangles
C                NNVDIM  - Maximum number of vertical nodes
C                NLEVDIM - Maximum number of level surfaces for
C                           baroclinic pressure gradient calculation
C                NFTRDIM - Maximum sparsity factor (maximum elemental
C                           connectivities plus 1)
C                NBEDIM  - Maximum number of 2-D boundary elements
C                NRDIM   - Maximum number of Dirichlet boundary nodes
C                NBWE    - Maximum bandwidth allowed
C                NB1DIM  - Maximum number of half bandwidth dimension
C                           for the BANSOLTR (symatrix) scheme
C                          NB1DIM=NBWE/2+1

      REAL Z(NNDIM,NNVDIM)
      REAL U(NNDIM,NNVDIM),V(NNDIM,NNVDIM),W(NNDIM,NNVDIM)
      REAL TOTDEP(NNDIM)

      integer nn,nnv
C
C Nodes in the 3-D array Z(I,J):
C
C Index range:  I=1,NN, J=1,NNV
C          NN - number of horizontal nodes
C          NNV - number of vertical nodes
C
C Z and J are positive upward:
C          Bottom:  Z=-BATHY; J=1
C          Surface: Z= TOTDEP-BATHY; J=NNV
C
      open(65,file='EN302_FC1.dat',form='unformatted')

      read(65)nn,nnv
      write(*,*)'Number of horizontal nodes:',nn
      write(*,*)'Number of vertical nodes:',nnv

 1    read(65,end=2)time,z,u,v,w,totdep
      time = 156.0 + time/86400.
c ***
c Note time zero is year day 156: June 6, 1997
c ***
      write(*,*)time
      goto 1

 2    continue
      end
